iMac ATI Radeon HD Graphics Firmware Update 1.0.1

Discussion in 'iMac' started by mac2mac, Apr 28, 2008.

  1. mac2mac macrumors member

    Joined:
    Jul 15, 2007
    Location:
    UK
  2. Eric Lewis macrumors 68020

    Eric Lewis

    Joined:
    Feb 4, 2007
    Location:
    CANADA? eh?
  3. robert05au macrumors regular

    robert05au

    Joined:
    May 19, 2005
    Location:
    Dubbo, NSW
    #3
    this update is a no go and won't install

    I have the following graphics card in my iMac Intel 2.4GHz 20" which this update is for but guess what it won't install no matter what I try.

    These are the specs for my graphics card and not the firmware version

    ATI Radeon HD 2600 Pro:

    Chipset Model: ATI,RadeonHD2600
    Type: Display
    Bus: PCIe
    PCIe Lane Width: x16
    VRAM (Total): 256 MB
    Vendor: ATI (0x1002)
    Device ID: 0x9583
    Revision ID: 0x0000
    ROM Revision: 113-B2250F-212
    EFI Driver Version: 01.00.212

    The firmware update should be able to update to this firmware version

    ROM Revision: 113-B2250L-259

    Now one of the main issues is the extremely limited info on which iMac Intel models this for and why the hell when the people I have seen posts for elsewhere cannot update to this firmware.

    Apple needs to be more open on which models these updates are for so people know if they need to install or not.
     
  4. autumn macrumors member

    Joined:
    Sep 8, 2006
    #4
    It won't install on my 2.8Ghz 24 inch either.:mad:
     
  5. tbazani macrumors newbie

    tbazani

    Joined:
    Nov 8, 2006
    #5
    same here. it won't update my 2.4GHz 20" Aluminum iMac

    ROM Revision: 113-B2250A-207
    EFI Driver Version: 01.00.207
     
  6. Xendren macrumors newbie

    Joined:
    Mar 8, 2008
    #6
    Same for me. Nice.
     
  7. daneoni macrumors G4

    daneoni

    Joined:
    Mar 24, 2006
  8. robert05au macrumors regular

    robert05au

    Joined:
    May 19, 2005
    Location:
    Dubbo, NSW
    #8
    At least for me and more than likely others I am on 10.5.2 and have the graphics card required.

    This is just another one of apples screw up updates.


    :mad:
     
  9. cloudnine macrumors 6502a

    cloudnine

    Joined:
    Jul 3, 2006
    Location:
    San Francisco, CA
    #9
    Or you could chill the eff out and accept that your iMac doesn't need it. :)
     
  10. robert05au macrumors regular

    robert05au

    Joined:
    May 19, 2005
    Location:
    Dubbo, NSW
    #10
    I have been told by apple that my iMac does require the update after a lenthy call to them.

    I am awaiting what I need to do to make it work.

    I have graphics issues since the leopard graphics update similar to other people

    The main issue is there is no proper info from Apple on what imac models this is for which is a must and should be there.
     
  11. Dany M macrumors 6502

    Joined:
    Jun 18, 2007
    Location:
    Earth
    #11
    I looked at software update, not on their, decided to download the .dmg. Said I did not need it. Ok, I am glad with that...no need to call tech
     
  12. wakerider017 macrumors 68000

    wakerider017

    Joined:
    Sep 20, 2006
    Location:
    US of A
    #12
    Didn't show up in Software Update.


    Did manual download and tried to install...


    "ALERT

    Your computer does not need this update."
     
  13. Cubert macrumors regular

    Cubert

    Joined:
    Apr 30, 2005
  14. IgnatiusTheKing macrumors 68040

    IgnatiusTheKing

    Joined:
    Nov 17, 2007
    Location:
    das Fort
    #14
    If it doesn't show up on Software Update, why bother trying to install it?
     
  15. djc6 macrumors 6502

    Joined:
    Aug 11, 2007
    Location:
    Cleveland, OH
    #15
    Use Pacifist to open up the package, and check out the contents of the script titled 'Distribution' - only iMacs with ATI ROM revisions that start with "113-B2250L-" or "113-B2250H-" need the update. Check system profiler to find your ATI ROM revision.

    Version 1.0 of the update was only needed for cards with video ram from a certain manufacturer:

    http://forums.macrumors.com/showpost.php?p=4500545&postcount=68
    http://forums.macrumors.com/showpost.php?p=4500600&postcount=72

    My 24" iMac manufactured the 44th week of 2007 needed the 1.0 update but not this 1.0.1 update.

    Code:
    		function needsUpdate()
    		{
    					
    			var reg = system.ioregistry.matchingClass("ATIRadeonX2000")
    		
    			if( reg )
    			{
    				for( var i = 0; i < reg.length; i++ )
    				{
    					var parents = system.ioregistry.parentsOf(reg[i]);
    					
    					for( var j = 0; j < parents.length; j++ )
    					{
    						var rom    = parents[j]['ATY,Rom#'];						
    						
    						if((rom.substring(0,11) == "113-B2250L-" || rom.substring(0,11) == "113-B2250H-") && parseInt(rom.substring(11, 14)) < 259) {
    							return true;
    						}
    					}
    				}
    			}
    			
    			return false;
    		}
    
     
  16. flopticalcube macrumors G4

    flopticalcube

    Joined:
    Sep 7, 2006
    Location:
    In the velcro closure of America's Hat
  17. Luap macrumors 65816

    Luap

    Joined:
    Jul 5, 2004
    #17
    Mine didn't need it either, despite meeting the requirements. Im not really surprised.. Many of us know there are a few different batches of these gfx cards, and some have occasionally needed similar updates, while others did not. So this is just the same.

    Once in a while, my iMac still freezes. But it doesn't do it too often, and when it does its only during games. Not great, but liveable with...
     
  18. Doctor Q Administrator

    Doctor Q

    Staff Member

    Joined:
    Sep 19, 2002
    Location:
    Los Angeles
    #18
    I just installed two previous iMac firmware updates on three dozen Macs at school. If this one applies to them too, then I'll do yet another round.
     
  19. MacFly123 macrumors 68020

    Joined:
    Dec 25, 2006
    #19
    So will all the whining gamers finally shut up even for a bit about the graphics power on Macs with this and the new update???
     
  20. billedluh macrumors newbie

    Joined:
    Apr 28, 2008
    #20
    you're all silly

    hah hah. You people cant get it to let you install it huh? Not only did software update let me install this.. It isn't bothering to check if it needs to be installed again. It looks like it's going to let me install it as many times as I want. Suckers.
     
  21. djc6 macrumors 6502

    Joined:
    Aug 11, 2007
    Location:
    Cleveland, OH
    #21
    Did you remember to run "Applications Folder -> Utilities -> iMac ATI Radeon HD Graphics Firmware Update.app" after you installed it??
     
  22. newportnews macrumors newbie

    Joined:
    Jun 22, 2003
  23. RichardI macrumors 6502a

    RichardI

    Joined:
    Feb 21, 2007
    Location:
    Southern Ontario, Canada
    #23
    Good grief people, read the instructions. In order to install this update you need either the HD2400 card or the HD2600 Pro, AND OSX ver. 10.5.2 or higher. If Software Update tells you that you don't need it, then you don't need it.

    Pretty simple really.

    Rich :cool:
     
  24. Iamwatson macrumors newbie

    Joined:
    Nov 7, 2007
    Location:
    New York, NY
    #24
    Chillll!!!

    Haha this dude installed it but didn't run it and he thinks that hes all hot ****. Fluffing up his ego on the basis of a damn firmware update. Pitiful

    Also if it doesnt install it, it's because you don't have one of the ATI cards off the line that needs a firmware update. Even though you have a 2400xt or a 2600pro doesn't necessarily mean you need the update.
     
  25. TorontoAllan macrumors newbie

    Joined:
    May 12, 2005
    Location:
    Toronto, Canada
    #25
     

Share This Page